using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Artefact : ScriptableObject
{
    [SerializeField] private PlayerPower _power;

    public int artefactID => _artefactID;
    [SerializeField] private int _artefactID;
    public string artefactDialogue => _artefactDialogue;
    [SerializeField] private string _artefactDialogue;

    public bool show => _show;
    private bool _show = false;
    public bool canInteract => _canInteract;
    private bool _canInteract = false;

    public virtual void PowerUnlock()
    {
        _power.Unlock();
    }

}